osgDB::RegisterDotOsgWrapperProxy Class Reference

`#include <DotOsgWrapper>`

Inheritance diagram for osgDB::RegisterDotOsgWrapperProxy:

## Public Member Functions

| RegisterDotOsgWrapperProxy (osg::Object *proto, const std::string &name, const std::string &associates, DotOsgWrapper::ReadFunc readFunc, DotOsgWrapper::WriteFunc writeFunc, DotOsgWrapper::ReadWriteMode readWriteMode=DotOsgWrapper::READ_AND_WRITE)
| ~RegisterDotOsgWrapperProxy ()

## Protected Attributes

osg::ref_ptr< DotOsgWrapper > | _wrapper

## Detailed Description

deprecated.

## Constructor & Destructor Documentation

## RegisterDotOsgWrapperProxy()

osgDB::RegisterDotOsgWrapperProxy::RegisterDotOsgWrapperProxy | ( | osg::Object * | proto,
|  | const std::string & | name,
|  | const std::string & | associates,
|  | DotOsgWrapper::ReadFunc | readFunc,
|  | DotOsgWrapper::WriteFunc | writeFunc,
|  | DotOsgWrapper::ReadWriteMode | readWriteMode = DotOsgWrapper::READ_AND_WRITE )

References osgDB::DotOsgWrapper::READ_AND_WRITE.

Referenced by osgDB::TemplateRegisterDotOsgWrapperProxy< T >::TemplateRegisterDotOsgWrapperProxy().

## ~RegisterDotOsgWrapperProxy()

osgDB::RegisterDotOsgWrapperProxy::~RegisterDotOsgWrapperProxy | ( |  | ) |

## Member Data Documentation

## _wrapper

osg::ref_ptr<DotOsgWrapper> osgDB::RegisterDotOsgWrapperProxy::_wrapper

protected

The documentation for this class was generated from the following file:

- DotOsgWrapper